# ezQuake Manual: Status Bar and Scoreboard Variables

## cl_hudswap

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | The inventory is drawn on the left side of the screen.
0 | The inventory is drawn on the right side of the screen.

## cl_loadFragfiles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable displaying team fortress related statistics in the scoreboard (flag touches, steals, caps, etc)
0 | Disable.

Also needed to parse stats for extended scoreboard and frags tracker.

## cl_parseFrags

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable displaying team fortress related statistics in the scoreboard (flag touches, steals, caps, etc)
0 | Disable.

## cl_sbar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Use the old status bar.
0 | Use the new transparent HUD.

## cl_useimagesinfraglog

### Description

Turns on using images in the frags tracker window to show which weapon did take the role in the frag

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

See Tracer Stats manual page for further info

## con_fragmessages

### Description

Controls whether frag messages should be printed into console and notification area.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Will print frag messages (QW default).
0 | Will not print frag messages

Requires cl_loadfragfiles and cl_parsefrags variables to be set to 1.

## r_damagestats

### Description

Displays the amount of damage taken recently on the screen above your armour and health.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## scr_centerSbar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | The hud display will be centered.
0 | Off.

## scr_compactHud

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Compact huds off.
1 | Will display armour/health/ammo/weapons *very* compactly.
2 | Will display armour/health/ammo *very* compactly.
3 | Displays only health/armour.
4 | Is just like "2" except it also displays your current weapon's ammo in big numbers.

## scr_compactHudAlign

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | determine ammo amounts are aligned to the right.
0 | determine ammo amounts are aligned to the left.

## scr_drawHFrags

### Description

Displays horizontal bar with frag stats (4 cells) in the old hud.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | Turns frag display off.
1 | Individual frags.
2 | Teamfrags in teamplay mode.

Required settings for this to work: scr_newhud 0 or 2, viewsize below 110, cl_sbar 1 or cl_sbar 0 but vid_conwidth below 512; if you migrated from FuhQuake and can't get this to work, check these settings, the feature should work the same as in FuhQuake

## scr_drawVFrags

### Description

Shows vertical row with frag stats on the right side of the old hud. When teamplay mode is on, will display also frags per team.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | Turns frag display off.
1 | Individual frags.
2 | Teamfrags in teamplay mode.

Note: vid_conwidth must be at least 512, scr_centerSbar must be disabled; works only in deathmatch, not in cooperative

## scr_newhud

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Old standard status bar
1 | New customizable status bar
2 | First draws old status bar and then renders new status bar on the top of it.

## scr_sbar_drawammo

### Description

Turns drawing amount of ammo on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Draw ammo.
0 | Do not draw ammo.

This variable applies for old HUD <= 'scr_newhud 0'.

## scr_sbar_drawammocounts

### Description

Turns drawing amounts of ammo on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Draw countrs of ammo.
0 | Do not draw countrs of ammo.

This variable applies for old HUD <= 'scr_newhud 0'.

## scr_sbar_drawammoicon

### Description

Turns drawing of ammo icon on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Draw ammo icon.
0 | Do not draw ammo icon.

This variable applies for old HUD <= 'scr_newhud 0'.

## scr_sbar_drawarmor

### Description

Turns drawing of armor count on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Draw armor count.
0 | Do not draw armor count.

This variable applies for old HUD <= 'scr_newhud 0'.

## scr_sbar_drawarmoricon

### Description

Turns drawing of armor icon on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Draw armor icon.
0 | Do not draw armor icon.

This variable applies for old HUD <= 'scr_newhud 0'.

## scr_sbar_drawfaceicon

### Description

Turns drawing of face icon on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Draw face icon.
0 | Do not draw face icon.

This variable applies for old HUD <= 'scr_newhud 0'.

## scr_sbar_drawguns

### Description

Turns drawing of available guns on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Draw avialable guns.
0 | Do not draw available guns.

This variable applies for old HUD <= 'scr_newhud 0'.

## scr_sbar_drawhealth

### Description

Turns drawing of health amount on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Draw health amount.
0 | Do not draw health amount.

This variable applies for old HUD <= 'scr_newhud 0'.

## scr_sbar_drawitems

### Description

Turns drawing of items (powerups and keys) in status bar on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Draw items in status bar.
0 | Do not draw items in status bar.

This variable applies for old HUD <= 'scr_newhud 0'.

## scr_sbar_drawsigils

### Description

Turns drawing of sigils on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Draw sigils.
0 | Do not draw sigils.

This variable applies for old HUD <= 'scr_newhud 0'.

## scr_scoreboard_borderless

### Description

Controls scoreboard border behavior

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | scoreboard border will be displayed
0 | no scoreboard border will be displayed

## scr_scoreboard_centered

### Description

Controls X-position of scoreboard

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Scoreboard will be centered
0 | Scoreboard will not be centered

## scr_scoreboard_drawtitle

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable scoreboard title.
0 | Disable scoreboard title.

## scr_scoreboard_fadescreen

### Description

shadowing level, when scoreboard is displayed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.
[0...1] 0=transparent scoreboard 1=black scoreboard

## scr_scoreboard_fillalpha

### Description

Change scoreboard fillalpha.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.7

Variable is float.

## scr_scoreboard_fillcolored

### Description

Modify scoreboard fillcolour.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is float.

## scr_scoreboard_forcecolors

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | When you overwrite team/enemy color it will use only those colors for skins and scoreboard
0 | When you overwrite team/enemy color it will use only those colors for skins

## scr_scoreboard_posy

### Description

Controls Y-offset of scoreboard headig ("Rankings").

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.
If 0, Rankings will be shown at top of screen, else will be shifted down by given value.

## scr_scoreboard_showfrags

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable frags on the scoreboard.
0 | Disable frags on the scoreboard.

## scr_scoreboard_teamsort

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Team sort.
0 | Frag sort.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs